## ros-indigo-ompl-visual-tools 2.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ompl_visual_tools)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
  graph_msgs
  moveit_visual_tools
  moveit_core
  moveit_planners_ompl
  roscpp
  roslib
  visualization_msgs
)

find_package(OMPL REQUIRED)
find_package(Boost)

include_directories(${Boost_INCLUDE_DIRS} ${OMPL_INCLUDE_DIRS})

catkin_package(
  CATKIN_DEPENDS
    graph_msgs
    moveit_visual_tools
    moveit_core
    moveit_planners_ompl
    roscpp
    roslib
    visualization_msgs
  INCLUDE_DIRS
    include
  LIBRARIES
    ${PROJECT_NAME}
    ${PROJECT_NAME}_ppm
)

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${OMPL_INCLUDE_DIRS}
  include
)

## Build

# PPM Library for loading images
add_library(${PROJECT_NAME}_ppm
  src/utilities/ppm.cpp
)
target_link_libraries(${PROJECT_NAME}_ppm
  ${catkin_LIBRARIES} ${Boost_LIBRARIES}
)

# OMPL Visual Tools Library
add_library(${PROJECT_NAME}
  src/ompl_visual_tools.cpp
)
target_link_libraries(${PROJECT_NAME}
  ${PROJECT_NAME}_ppm ${catkin_LIBRARIES} ${Boost_LIBRARIES}
)

# Executable for Demos and Testing
add_executable(${PROJECT_NAME}_rrt_demo
  src/demos/rrt_demo.cpp
)
set_target_properties(${PROJECT_NAME}_rrt_demo
  PROPERTIES OUTPUT_NAME rrt_demo PREFIX ""
)
target_link_libraries(${PROJECT_NAME}_rrt_demo
  ${OMPL_LIBRARIES}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${PROJECT_NAME}
  ${PROJECT_NAME}_ppm
)

## Install

# Install libraries
install(TARGETS ${PROJECT_NAME}_ppm ${PROJECT_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

# Install header files
install(DIRECTORY include/${PROJECT_NAME}/ DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

# Install shared resources
install(DIRECTORY launch    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY resources DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

# Install executables
install(TARGETS
    ${PROJECT_NAME}_rrt_demo
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-ompl-visual-tools (2.3.2-0trusty) trusty; urgency=high

  * Removed usage of publishSamples in demo
  * Updated README
  * Added travis support
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 13 Jan 2016 07:00:00 -0000

ros-indigo-ompl-visual-tools (2.3.1-0trusty) trusty; urgency=high

  * catkin lint cleanup
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 07 Dec 2015 07:00:00 -0000

ros-indigo-ompl-visual-tools (2.3.0-0trusty) trusty; urgency=high

  * Fixed API changes in rviz_visual_tools
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Sat, 05 Dec 2015 07:00:00 -0000

ros-indigo-ompl-visual-tools (2.2.1-0trusty) trusty; urgency=high

  * Fix typo
  * Added missing images
  * Fix install space
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Wed, 07 Jan 2015 07:00:00 -0000

ros-indigo-ompl-visual-tools (2.2.0-0trusty) trusty; urgency=high

  * Fix for RvizVisualTools
  * Upgrade to new moveit_visual_tools API
  * API changes for moveit_visual_tools
  * Added gitignore
  * New publishState() functions
  * New publishRobotState function
  * Formatting, new callback parameter
  * Deprecated publishSamples functions
  * Added publishSpheres functions to correspond to moveit_visual_tools ones
  * Improved visualizationStateCallback
  * New publishRobotGraph function
  * New convertRobotStatesToTipPoints function
  * Fixing display database mode
  * Made publish functions return bool
  * Disable 3D option
  * publish cost map with non-static ID numbers
  * New publishSampleIDs function. Restructured publishSamples interface to use moveit_visual_tools version
  * Updated publishSampels() functions
  * Reduced size of published spheres
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 31 Oct 2014 06:00:00 -0000

ros-indigo-ompl-visual-tools (2.1.1-0trusty) trusty; urgency=high

  * Removed debug output
  * Removed hard-coded base_frame name
  * Improved memory usage
  * Cost ptr bug fix
  * Removed setOptimizationMethod()
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Mon, 11 Aug 2014 06:00:00 -0000

ros-indigo-ompl-visual-tools (2.1.0-0trusty) trusty; urgency=high

  * Removed getSolutionPlannerName that is not available in OMPL released version
  * Updated README
  * Renamed file to rrt_demo.cpp
  * Cleanup since change to moveit_visual_tools
  * Specify OMPL version
  * Fixed marker topic path
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Fri, 08 Aug 2014 06:00:00 -0000

ros-indigo-ompl-visual-tools (2.0.1-0trusty) trusty; urgency=high

  * Updated README
  * Removed lightning dependencies
  * Renamed ompl_rviz_viewer to ompl_visual_tools
  * Initial
  * Contributors: Dave Coleman

 -- Dave Coleman <davetcoleman@gmail.com>  Thu, 07 Aug 2014 06:00:00 -0000

=== debian/control ===
Source: ros-indigo-ompl-visual-tools
Section: misc
Priority: extra
Maintainer: Dave Coleman <davetcoleman@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-graph-msgs, ros-indigo-moveit-core, ros-indigo-moveit-planners-ompl, ros-indigo-moveit-visual-tools, ros-indigo-ompl (>= 0.14.0), ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-visualization-msgs
Homepage: http://ros.org/wiki/ompl_visual_tools
Standards-Version: 3.9.2

Package: ros-indigo-ompl-visual-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-graph-msgs, ros-indigo-moveit-core, ros-indigo-moveit-planners-ompl, ros-indigo-moveit-visual-tools, ros-indigo-ompl (>= 0.14.0), ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-visualization-msgs
Description: Rviz 3-D visualizer for planning algorithms implemented with the Open Motion Planning Library (OMPL)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ompl-visual-tools//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
